# Dracula for [Django Admin](https://docs.djangoproject.com/en/stable/ref/contrib/admin/)

> A dark (and light 🕯️) theme for the [Django Admin](https://docs.djangoproject.com/en/stable/ref/contrib/admin/).

![Screenshot](https://github.com/sjbitcode/django-admin-dracula/blob/main/screenshot.png?raw=true)

![PyPI](https://img.shields.io/pypi/v/django-admin-dracula?&color=%23bd93f9)
![PyPI downloads](https://img.shields.io/pypi/dm/django-admin-dracula?color=%23ff79c6)
![Python versions](https://img.shields.io/pypi/pyversions/django-admin-dracula?color=%238be9fd)
![Django versions](https://img.shields.io/pypi/frameworkversions/django/django-admin-dracula?color=%2345de6b)

## Install

### Install the dracula theme
```bash
pip install django-admin-dracula
```

### Add to Django project
Add `django_admin_dracula` to your `INSTALLED_APPS` **before** `django.contrib.admin`:

```python
INSTALLED_APPS = [
    ...
    "django_admin_dracula",
    ...
    "django.contrib.admin",
    ...
]
```

### Celebrate ✨
Put on your favorite dracula cape and dump all your remaining garlic! 🧄

## Themes

Check out some more screenshots of the light and dark themes [here](https://github.com/sjbitcode/django-admin-dracula/blob/main/THEMES.md)!

## Team

This theme is maintained by the following person(s) and a bunch of [awesome contributors](https://github.com/dracula/foobar/graphs/contributors).

| [![Sangeeta Jadoonanan](https://github.com/sjbitcode.png?size=100)](https://github.com/sjbitcode) |
| ---------------------------------------------------------------------------------------- |
| [Sangeeta Jadoonanan](https://github.com/sjbitcode) |

## Community

- [Twitter](https://twitter.com/draculatheme) - Best for getting updates about themes and new stuff.
- [GitHub](https://github.com/dracula/dracula-theme/discussions) - Best for asking questions and discussing issues.
- [Discord](https://draculatheme.com/discord-invite) - Best for hanging out with the community.

## Dracula PRO

[![Dracula PRO](./.github/dracula-pro.png)](https://draculatheme.com/pro)

## License

[MIT License](./LICENSE)
